Bug 215310 - Problems booting from CD since 2.6.18-1.2200.fc5
Problems booting from CD since 2.6.18-1.2200.fc5
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
bzcl34nup
:
Depends On:
Blocks: FCMETA_SATA
  Show dependency treegraph
 
Reported: 2006-11-13 08:02 EST by Stephen Quinney
Modified: 2013-07-02 22:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:48:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg differences (14.47 KB, text/plain)
2006-11-13 08:02 EST, Stephen Quinney
no flags Details
dmesg from 2.6.17-1.2174 kernel (15.41 KB, text/plain)
2006-11-13 08:12 EST, Stephen Quinney
no flags Details
dmesg from 2.6.18-1.2239 kernel (16.30 KB, text/plain)
2006-11-13 08:13 EST, Stephen Quinney
no flags Details

  None (edit)
Description Stephen Quinney 2006-11-13 08:02:07 EST
Description of problem:

I have a homebrew install CD based on syslinux and since 2.6.18-1.2200.fc5 I've
not been able to boot from the CD. The problem appears to be that the kernel
does not detect the CD drive. Once installed I can upgrade a machine to the new
kernel and boot from the hard drive but it still seems to show some problems. I
have attached the diff of the dmesg from booting with the 2174 and 2239 kernels.
In particular, note that the CD drive details are missing:

-hdc: ATAPI 24X CD-ROM drive, 128kB Cache, UDMA(33)
-Uniform CD-ROM driver Revision: 3.20

Also note the problems it now has with SATA:

-ata1: SATA port has no device.
 scsi0 : ata_piix
-ata2: SATA port has no device.
+ata1: port is slow to respond, please be patient
+ata1: port failed to respond (30 secs)
+ata1: SRST failed (status 0xFF)
+ata1: SRST failed (err_mask=0x100)
+ata1: softreset failed, retrying in 5 secs
+ata1: SRST failed (status 0xFF)
+ata1: SRST failed (err_mask=0x100)
+ata1: softreset failed, retrying in 5 secs
+ata1: SRST failed (status 0xFF)
+ata1: SRST failed (err_mask=0x100)
+ata1: reset failed, giving up
 scsi1 : ata_piix
+ata2: port is slow to respond, please be patient
+ata2: port failed to respond (30 secs)
+ata2: SRST failed (status 0xFF)
+ata2: SRST failed (err_mask=0x100)
+ata2: softreset failed, retrying in 5 secs
+ata2: SRST failed (status 0xFF)

There are no SATA drives in the machine and it used to successfully notice that
and not try to do anything with them.

I can provide more diagnostic information if you let me know what is required.
This is seriously important to us as we are managing 1000s of machines with this
system and we don't want to stick with the old 2.6.17 kernel which does not
support all new hardware so I've marked it as "high" severity.

Thanks,

Stephen Quinney
Comment 1 Stephen Quinney 2006-11-13 08:02:07 EST
Created attachment 141044 [details]
dmesg differences
Comment 2 Stephen Quinney 2006-11-13 08:12:32 EST
Created attachment 141045 [details]
dmesg from 2.6.17-1.2174 kernel
Comment 3 Stephen Quinney 2006-11-13 08:13:44 EST
Created attachment 141046 [details]
dmesg from 2.6.18-1.2239 kernel
Comment 4 Stephen Quinney 2006-11-21 03:27:45 EST
The problem with booting from CD seems to come down to this config change:

# grep IDECD /boot/config-2.6.17-1.2187_FC5
CONFIG_BLK_DEV_IDECD=y

# grep IDECD /boot/config-2.6.18-1.2200.fc5
CONFIG_BLK_DEV_IDECD=m

The SATA problems are less clear though.

Stephen
Comment 5 Alan Cox 2006-11-24 18:23:37 EST
Known upstream problem in libata core code. Added Jeff instead.
Comment 6 Bug Zapper 2008-04-04 00:38:42 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 12:48:16 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.